<?php

namespace app\admin\controller;
use app\common\model\zdjr\Block;
use think\facade\Db;

class Zdjrblock extends Botbase
{
    /**
     * @var Block
     */
    protected $model;
    public function initialize()
    {
        parent::initialize(); // TODO: Change the autogenerated stub
        $this->model = new Block();
    }

    /**
     * 设置
     * @return mixed
     * @throws \think\Exception
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\ModelNotFoundException
     * @author: fudaoji<fdj@kuryun.cn>
     */
    public function index(){
        if (request()->isPost()) {
            $post_data = input('post.');
            $where = ['b.admin_id' => $this->adminInfo['id']];
            $params = [
                'alias' => 'b',
                'join' => [
                    ['bot', 'bot.id=b.bot_id']
                ],
                'where' => $where,
                'refresh' => true
            ];
            $total = $this->model->totalJoin($params);
            if ($total) {
                $list = $this->model->getListJoin(array_merge($params, [
                    'limit' => [$post_data['page'], $post_data['limit']],
                    'field' => ['bot.*', 'b.status','b.id'],
                ]));
            } else {
                $list = [];
            }
            $this->success('success', '', ['total' => $total, 'list' => $list]);
        }

        $builder = new ListBuilder();
        $builder->addTableColumn(['title' => 'Wxid', 'field' => 'uin', 'minWidth' => 100])
            ->addTableColumn(['title' => '名称', 'field' => 'title', 'minWidth' => 100])
            ->addTableColumn(['title' => '频繁状态', 'field' => 'status', 'minWidth' => 80,'type' => 'enum','options' => [0 => '正常', 1=> '频繁']])
            ->addTableColumn(['title' => '操作', 'minWidth' => 200, 'type' => 'toolbar'])
            ->addRightButton('self',['title' => '解禁', 'href' => url('forbidPost', ['id' => '__data_id__']), 'data-ajax' => 1, 'data-confirm' => 1]);
        return $builder->show();
    }

    /**
     * 解禁
     * @throws \think\Exception
     * Author: fudaoji<fdj@kuryun.cn>
     */
    public function forbidPost()
    {
        $id = input('id', null);
        $data = $this->model->getOneByMap(['id' => $id, 'admin_id' => $this->adminInfo['id']], true, true);

        if (!$data) {
            $this->error('参数错误');
        }
        $this->model->updateOne([
            'id' => $id,
            'status' => 0
        ]);
        $this->success('操作成功');
    }
}